package com.qy.worksheetsystem.util;

import cn.hutool.core.lang.Snowflake;
import cn.hutool.core.util.IdUtil;

/**
 * @BelongsProject: workSheetSystem
 * @BelongsPackage: com.qy.worksheetsystem.util
 * @Author: lhbj
 * @CreateTime: 2024-12-07  14:57
 * @Description: TODO
 * @Version: 1.0
 */
public class SnowflakeUtils {
    private static SnowflakeUtils snowflakeUtils =new SnowflakeUtils();
    private Snowflake snowflake = IdUtil.getSnowflake(0,0);
    public static SnowflakeUtils getInstance(){
        return snowflakeUtils;
    }

    public Snowflake getSnowflake() {
        return snowflake;
    }


}
